FUNCTION::ERROR(3stap)

NAME
function::error - Send an error message

SYNOPSIS

    error(msg:string)

ARGUMENTS

msg
    The formatted message string

DESCRIPTION

An implicit end-of-line is added. staprun prepends the string “ERROR:”. Sending an error message aborts the currently running probe. Depending on the MAXERRORS parameter, it may trigger an exit.

SEE ALSO
tapset::logging(3stap)